#!/bin/sh
if [ $# -eq 0 ]
then
    printf "run_all.sh exmps solver time_limit\n"
    printf "  exmps -  the list of examples to solve\n"
    printf "  solver - the name of a PQE solver (ds-pqe,eg-pqe+ or start)\n"
    printf "  time_limit - the time limit in seconds\n"
    exit
fi

if [ $# -ne 3 ]
then
    echo "wrong number of parameters"
    exit
fi

exmps=$1
solver=$2
if [ $solver = "start" ]
then 
    time_limit=T$3
elif [ $solver = "ds-pqe" ]
then
    params="r"
    time_limit=t$3
else	
    time_limit=t$3
fi


for file in  `cat $exmps`
do
printf "$file, "
./$solver $file $time_limit $params > $file.$solver.prot
grep "total time" $file.$solver.prot
done

